Package org.eclipse.net4j.util.properties

# Interface IPropertyProvider<RECEIVER>

All Known Subinterfaces:
  `IProperties<RECEIVER>`

All Known Implementing Classes:
  `DefaultPropertyTester`, `Properties`

public interface IPropertyProvider<RECEIVER>
Provides a list of `property descriptors`.

Since:
  3.2
Author:
  Eike Stepper

## Method Summary

Modifier and Type
Method
Description
`List<Property<RECEIVER>>`
`getProperties()`

## Method Details

### getProperties

List<Property<RECEIVER>> getProperties()